Overview
GET
/messaging/templatesmessagingList the available outbound message templates (admin)
List templates.
Auth: bearerAuth — calls run as the authenticated user.
Responses
200
Templates
- idstring
- namestring
- subjectstring
- htmlBodystring
- textBodystring
- smsBodyoptionalstring
- categorystring
Example
[
{
"id": "string",
"name": "string",
"subject": "string",
"htmlBody": "string",
"textBody": "string",
"smsBody": "string",
"category": "string"
}
]401
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}403
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}Code examples
cURL
curl -X GET "https://api.agenticdeveloperhub.com/messaging/templates" \
-H "Authorization: Bearer YOUR_TOKEN"JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/messaging/templates", {
method: "GET",
headers: {
"Authorization": "Bearer YOUR_TOKEN"
},
});
const data = await res.json();